Package org.kapott.hbci.sepa.jaxb.camt_052_001_09

# Class BranchAndFinancialInstitutionIdentification6

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_09.BranchAndFinancialInstitutionIdentification6

public class BranchAndFinancialInstitutionIdentification6 extends Object

Java class for BranchAndFinancialInstitutionIdentification6 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BranchAndFinancialInstitutionIdentification6">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="FinInstnId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}FinancialInstitutionIdentification18"/>
             <element name="BrnchId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.09}BranchData3" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected BranchData3`
`brnchId`
`protected FinancialInstitutionIdentification18`
`finInstnId`

## Constructor Summary

Constructors
Constructor
Description
`BranchAndFinancialInstitutionIdentification6()`

## Method Summary

Modifier and Type
Method
Description
`BranchData3`
`getBrnchId()`
Gets the value of the brnchId property.
`FinancialInstitutionIdentification18`
`getFinInstnId()`
Gets the value of the finInstnId property.
`void`
`setBrnchId(BranchData3 value)`
Sets the value of the brnchId property.
`void`
`setFinInstnId(FinancialInstitutionIdentification18 value)`
Sets the value of the finInstnId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### finInstnId

protected FinancialInstitutionIdentification18 finInstnId

### brnchId

protected BranchData3 brnchId

## Constructor Details

### BranchAndFinancialInstitutionIdentification6

public BranchAndFinancialInstitutionIdentification6()

## Method Details

### getFinInstnId

public FinancialInstitutionIdentification18 getFinInstnId()
Gets the value of the finInstnId property.

Returns:
  possible object is `FinancialInstitutionIdentification18`

### setFinInstnId

public void setFinInstnId(FinancialInstitutionIdentification18 value)
Sets the value of the finInstnId property.

Parameters:
  `value` - allowed object is `FinancialInstitutionIdentification18`

### getBrnchId

public BranchData3 getBrnchId()
Gets the value of the brnchId property.

Returns:
  possible object is `BranchData3`

### setBrnchId

public void setBrnchId(BranchData3 value)
Sets the value of the brnchId property.

Parameters:
  `value` - allowed object is `BranchData3`